List all templates

This API helps you to retrieve the list of gift card templates associated with the required center. You must specify the unique identifier of the center as center_id in the API request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Model

GiftCardAmountTemplateList

Json propertyData typeDescription
templatesarray of objects (GiftCardAmountTemplate)A collection of gift card amount templates.
error

templates object (GiftCardAmountTemplate)

Json propertyData typeDescription
idstring (UUID)Unique identifier of the gift card template.
namestringName of the gift card template.
descriptionstringDescription of the template.
pricenumber (double)Price at which the gift card is sold.
valuenumber (double)Actual value of the gift card.
discounted_pricenumber (decimal)Discounted price for the gift card.
validityintegerValidity period of the gift card, in days.
expiry_datestring (ISO 8601 date-time)Expiry date of the gift card.
is_amountbooleanIndicates whether the template is amount-based.
confirmation_messagestringMessage shown to confirm purchase or usage.
discountnumber (decimal)Discount applied to the gift card.
can_be_soldbooleanIndicates whether the gift card can be sold.
price_modelobject (PriceModelv1)Price model details, including sales, tax, and final amount.
benefitsarray of objects (BenefitDetails)List of benefits included with the gift card.
one_time_usebooleanIndicates whether the gift card can only be used once.
restrict_redemption_to_sale_centerbooleanRestricts redemption of the gift card to the sale center only

price_model object (PriceModelv1)

Json propertyData typeDescription
currency_idintegerIdentifier of the currency.
salesnumber (decimal)Sales amount before tax.
taxnumber (decimal)Tax amount applied.
finalnumber (decimal)Final amount after tax.

benefits object (BenefitDetails)

Json propertyData typeDescription
template_idstring (UUID)Identifier of the associated template.
idstring (UUID)Unique identifier of the benefit.
namestringName of the benefit.
catalog_namestringCatalog name to which the benefit belongs.
typeenum (ItemType)Type of benefit (service, product, package, etc.).
quantityintegerQuantity of the benefit.
priceobject (PriceModelv1)Price details of the benefit.
total_pricenumber (decimal)Total price for the specified quantity.
servicesarray of objects (ServiceModel)Services included in the benefit.

ApiErrorModel

Json propertyData typeDescription
codeintegerError code for the API response.
messagestringError message description.
Query Params
string
required

Mandatory Unique 32-character identifier of the center.

int32

Optional Indicates the type of gift card templates that you want displayed in the response: service-based or amount-based. If you specify giftcardtype = 0, the API will display all service-based gift card templates in the response. If you specify giftcardtype = 1, the API will display all amount-based gift card templates in the response. If you do not pass the giftcardtype parameter in the response, the API will retrieve only amount-based gift card templates (the default value is assumed to be 1 if the parameter is not passed).

boolean
Defaults to true

Whether to return only service-related templates

boolean
Defaults to false

Whether the request is from online webstore

boolean
Defaults to false

Whether to include member pricing information

int32
Defaults to null

Used to support member pricing when calling the API with an API key. This parameter should be included along with member_price set to true. This will return the applicable member price, based on the guest's active membership status, as discounted_price in the response object.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain